<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: coding.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>coding.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">mconv_define_coding</a> (const char *name, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, int(*resetter)(<a class="el" href="structMConverter.html">MConverter</a> *), int(*decoder)(const unsigned char *, int, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *, <a class="el" href="structMConverter.html">MConverter</a> *), int(*encoder)(<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *, int, int, unsigned char *, int, <a class="el" href="structMConverter.html">MConverter</a> *), void *extra_info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系を定義する.  <a href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">mconv_resolve_coding</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系の名前を解決する.  <a href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">mconv_list_codings</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **symbols)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系を表わすシンボルを列挙する.  <a href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">mconv_buffer_converter</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">バッファに結び付けられたコードコンバータを作る.  <a href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">mconv_stream_converter</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ストリームに結び付けられたコードコンバータを作る.  <a href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">mconv_reset_converter</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータをリセットする.  <a href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">mconv_free_converter</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを解放する.  <a href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">mconv_rebind_buffer</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータにバッファ領域を結び付ける.  <a href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">mconv_rebind_stream</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータにストリームを結び付ける.  <a href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">mconv_decode</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">バイト列を M-text にデコードする.  <a href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">mconv_decode_buffer</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系に基づいてバッファ領域をデコードする.  <a href="group__m17nConv.html#gae6788541ef64489abc36388554566235"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">mconv_decode_stream</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系に基づいてストリーム入力をデコードする.  <a href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">mconv_encode</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をバイト列にエンコードする.  <a href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">mconv_encode_range</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の一部をバイト列にエンコードする.  <a href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">mconv_encode_buffer</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をエンコードしてバッファ領域に書き込む.  <a href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">mconv_encode_stream</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をエンコードしてストリームに書き込む.  <a href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">mconv_getc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータ経由で一文字を読みこむ.  <a href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">mconv_ungetc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータに一文字戻す.  <a href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">mconv_putc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを経由して一文字書き出す.  <a href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">mconv_gets</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを使って一行読み込む.  <a href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 定義済みコード系を指定するためのシンボル</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpf12c2c9b3429c1d44cb802d9d4f5454d"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3">Mcoding_us_ascii</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">US-ASCII コード系のシンボル.  <a href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42">Mcoding_iso_8859_1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ISO-8859-1 コード系のシンボル.  <a href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84">Mcoding_utf_8</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-8 コード系のシンボル.  <a href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86">Mcoding_utf_8_full</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-8-FULL コード系のシンボル.  <a href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3">Mcoding_utf_16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16 コード系のシンボル.  <a href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a">Mcoding_utf_16be</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16BE コード系のシンボル.  <a href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917">Mcoding_utf_16le</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16LE コード系のシンボル.  <a href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4">Mcoding_utf_32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32 コード系のシンボル.  <a href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966">Mcoding_utf_32be</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32BE コード系のシンボル.  <a href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f">Mcoding_utf_32le</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32LE コード系のシンボル.  <a href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5">Mcoding_sjis</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">SJIS コード系のシンボル.  <a href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: mconv_define_coding() 用パラメータキー</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp67f306ba3f94bee925dd8f7e27a69d82"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab0abe7b300ad8231026f623a37fbe46f">Mtype</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafa36b84a0e4e8c5e5c5ecafcd0dd827d">Mcharsets</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga508f30864b0b06fe2ca297f2ba339f3d">Mflags</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga49cf2857b6b7323196c59cb010522eb9">Mdesignation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">Minvocation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad19b84f78323e91e7003c97947561ff6">Mcode_unit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab0211faeb0b29d6264343b896273afbf">Mbom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga73222ac2b7c420d7e4c9f2420e72e33f">Mlittle_endian</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数： コード系のタイプを示すシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp7b35527aa8176ab8cfa9df9c9cb7dfac"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaeb001a3054bca58fac033c085c270437">Mutf</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">Miso_2022</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数： パラメータ Mflags の値となり得るシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb9e9392bd20bcf90b7dc43612b030273"></a> 関数 <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c" title="コード系を定義する.">mconv_define_coding()</a> の引数として用いられるコード系のパラメータ <b>Mflags</b> の値となり得るシンボル。(詳細は <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c" title="コード系を定義する.">mconv_define_coding()</a>参照)。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga7ffd071427552d47a7465568169c4bc0">Mreset_at_eol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga790b82a0f7a4f43c62947f6260435687">Mreset_at_cntl</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2070be8696d43ea61ada14affba1c098">Meight_bit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gabc377d5067b46dd2f8cb41eb31ca2175">Mlong_form</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4aa117d960d423fe5d58a894abce2c39">Mdesignation_g0</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6f9669d07dd8788fd7f878dd2e430d04">Mdesignation_g1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0f0d7a67b78d52ab0e60c7993b1ec44d">Mdesignation_ctext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga3af496a7e2dde22445795fd49434400f">Mdesignation_ctext_ext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafbce0352625d3e052d6b988e3cccc136">Mlocking_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga90fcd3bcae85d7f47e4777df484c1091">Msingle_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gac9db45c79652c252be19bcd00f382cc9">Msingle_shift_7</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab694633963c7a6582007330b338e3e43">Meuc_tw_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">Miso_6429</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga9cec8b0e5c00056b00ccffd20ff54477">Mrevision_number</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga849aad9c3eb8dd18dbb326a03ee16dbd">Mfull_support</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: その他</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb84b1a21b42799369d753f0e709e8626"></a> ほかの変数。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0b2b319dbbacfed7b4aa6c0ef9a032d6">Mmaybe</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"maybe"という名前を持つシンボル.  <a href="group__m17nConv.html#ga0b2b319dbbacfed7b4aa6c0ef9a032d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c">Mcoding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シンボル <code>Mcoding</code>.  <a href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
